Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class AbstractPolicyNode

    java.lang.Object
      org.exist.client.xacml.AbstractTreeNode
          org.exist.client.xacml.AbstractNodeContainer
              org.exist.client.xacml.PolicyElementNode
                  org.exist.client.xacml.AbstractPolicyNode

All Implemented Interfaces:
  NodeChangeListener, NodeContainer, PolicyElementContainer, XACMLTreeNode

Direct Known Subclasses:
  PolicyNode, PolicySetNode

public abstract class AbstractPolicyNode
extends PolicyElementNode
implements PolicyElementContainer

Constructor Summary
`AbstractPolicyNode(NodeContainer parent, com.sun.xacml.AbstractPolicy policy)`
`AbstractPolicyNode(NodeContainer parent, java.lang.String documentName, com.sun.xacml.AbstractPolicy policy)`

Method Summary
`void` | `commit(boolean deep)` Commits the state of this element.
`com.sun.xacml.combine.CombiningAlgorithm` | `getCombiningAlgorithm()`
`java.lang.String` | `getDocumentName()` Returns the name of the document represented by this element if it is the top-level policy element of the document.
`boolean` | `isAlgorithmModified()`
`boolean` | `isModified(boolean deep)` Returns true if this element has been modified.
`void` | `revert(boolean deep)` Reverts the state of this element to the last commit.
`void` | `setCombiningAlgorithm(com.sun.xacml.combine.CombiningAlgorithm algorithm)`
`void` | `setDocumentName(java.lang.String documentName)`

Methods inherited from class org.exist.client.xacml.PolicyElementNode
`getDescription, getId, getTarget, isDescriptionModified, isIdModified, serialize, setDescription, toString`

Methods inherited from class org.exist.client.xacml.AbstractNodeContainer
`nodeAdded, nodeChanged, nodeRemoved`

Methods inherited from class org.exist.client.xacml.AbstractTreeNode
`getParent, setModified`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.exist.client.xacml.PolicyElementContainer
`add, add, add, add, containsId, remove`

Methods inherited from interface org.exist.client.xacml.NodeContainer
`getChild, getChildCount, indexOfChild`

Methods inherited from interface org.exist.client.xacml.NodeChangeListener
`nodeAdded, nodeChanged, nodeRemoved`

Methods inherited from interface org.exist.client.xacml.XACMLTreeNode
`getParent, serialize, setModified`

Constructor Detail

### AbstractPolicyNode

    public AbstractPolicyNode(NodeContainer parent,
                              com.sun.xacml.AbstractPolicy policy)

### AbstractPolicyNode

    public AbstractPolicyNode(NodeContainer parent,
                              java.lang.String documentName,
                              com.sun.xacml.AbstractPolicy policy)

Method Detail

### getDocumentName

    public java.lang.String getDocumentName()

  Returns the name of the document represented by this element if it is the top-level policy element of the document.

  Returns:
    The document name, or null if this element is not a top-level element

### getCombiningAlgorithm

    public com.sun.xacml.combine.CombiningAlgorithm getCombiningAlgorithm()

### setCombiningAlgorithm

    public void setCombiningAlgorithm(com.sun.xacml.combine.CombiningAlgorithm algorithm)

### isModified

    public boolean isModified(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Returns true if this element has been modified. If deep is true, then this takes into account the status of any descendants.

  Specified by:
    `isModified` in interface `XACMLTreeNode`
  Overrides:
    `isModified` in class `PolicyElementNode`

### isAlgorithmModified

    public boolean isAlgorithmModified()

### commit

    public void commit(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Commits the state of this element. This state will be the state reverted to when revert is called. If deep is true, then this includes any descendants.

  Specified by:
    `commit` in interface `XACMLTreeNode`
  Overrides:
    `commit` in class `PolicyElementNode`

### revert

    public void revert(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Reverts the state of this element to the last commit. If deep is true, then this includes any descendants.

  Specified by:
    `revert` in interface `XACMLTreeNode`
  Overrides:
    `revert` in class `PolicyElementNode`

### setDocumentName

    public void setDocumentName(java.lang.String documentName)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.